felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yen Tran (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FELIX-2775) GNU Classpath 0.98 + JamVM 1.5.4 + Felix (3.0.7, 3.1.0-SNAPSHOT) does not work with felix security framework enabled
Date Wed, 21 Sep 2011 22:40:29 GMT

    [ https://issues.apache.org/jira/browse/FELIX-2775?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13112181#comment-13112181
] 

Yen Tran commented on FELIX-2775:
---------------------------------

Hi Richard,

Is this problem not going to be fixed until much later release, I just saw your update from
9/19?
I encounter the exact same problem, and not able to start the felix security provider 1.4.2.
Is there another way to go around this?

ARNING: Unable to start Felix Extension Activator (java.lang.NoSuchMethodError:
 getFileInputStream)
java.lang.NoSuchMethodError: getFileInputStream
   at org.apache.felix.framework.security.util.PropertiesCache.read(PropertiesCa
che.java:142)
   at org.apache.felix.framework.security.permissionadmin.PermissionAdminImpl.<i
nit>(PermissionAdminImpl.java:66)
   at org.apache.felix.framework.SecurityActivator.start(SecurityActivator.java:
132)
   at org.apache.felix.framework.util.SecureAction$Actions.run(SecureAction.java
:1254)
   at java.security.AccessController.doPrivileged(AccessController.java:195)
   at org.apache.felix.framework.util.SecureAction.startActivator(SecureAction.j
ava:624)
   at org.apache.felix.framework.ExtensionManager.startExtensionBundle(Extension
Manager.java:393)
   at org.apache.felix.framework.Felix.installBundle(Felix.java:2614)
   at org.apache.felix.framework.Felix.installBundle(Felix.java:2441)
   at org.apache.felix.framework.BundleContextImpl.installBundle(BundleContextIm
pl.java:121)
   at org.apache.felix.main.AutoProcessor.processAutoProperties(AutoProcessor.ja
va:272)
   at org.apache.felix.main.AutoProcessor.process(AutoProcessor.java:75)
   at org.apache.felix.main.Main.main(Main.java:291)


Thanks,
Yen


> GNU Classpath 0.98 + JamVM 1.5.4 +  Felix (3.0.7, 3.1.0-SNAPSHOT) does not work with
felix security framework enabled
> ---------------------------------------------------------------------------------------------------------------------
>
>                 Key: FELIX-2775
>                 URL: https://issues.apache.org/jira/browse/FELIX-2775
>             Project: Felix
>          Issue Type: Bug
>          Components: Framework Security
>    Affects Versions: framework-3.0.7
>         Environment: Host OS: Ubuntu Linux
> JamVM-1.5.4 + patch (fixed protection domain checking code)
> GNU Classpath 0.98 + patch (added missing methods  from apache harmony)
> felix framework - 3.0.7/3.1.0-SNAPSHOT
> framework.security - org.apache.felix.framework.security-1.4.1.jar
>            Reporter: Samba
>            Assignee: Karl Pauls
>             Fix For: framework-4.2.0
>
>         Attachments: classpath.patch, felix-cache-disable-urlhandlers.tar.gz, felix-cache.tar.gz,
felix-cache.tar.gz, felix.jar, felix.log, felix.log, felix.log.debug, jamvm.patch
>
>
> JamVM-1.5.4 + patch (see jamvm.patch attached to this bug)
> =======================================
> To apply patch:
> #1 Download jamvm 1.5.4
> #2 untar package
> #3 cd jamvm-1.5.4; patch -p1 < jamvm.patch
> #4 configure jamvm
> ./configure --with-classpath-install-dir=/home/samba/wurk/downloads/osgi/classpath-0.98/install/
--disable-int-inlining --disable-tls
> #make; make install
> GNU Classpath 0.98 + patch (see classpath.patch)
> ================================
> #1 Download classpath
> #2 cd classpath-0.98; patch -p1 < classpath.patch
> #3 configure classpath
> ./configure --without-x --disable-gtk-peer --disable-gconf-peer --disable-plugin --disable-tools
--disable-examples --enable-xmlj --prefix=<install dir>
> #4 make; make install
> Felix-3.0.7 (Also reproducible using latest trunk i.e 3.1.0-SNAPSHOT)
> ===========================================
> #1 download felix-framwork-3.0.7  and untar the distribution
> #2 Download org.apache.felix.framework.security-1.4.1.jar and copy it in felix-framework-3.0.7/bundle
directory
> #3 cd felix-framework-3.0.7
> #4 Add the following contents to java.policy and put it in the conf directory
> grant {
>  permission java.security.AllPermission;
> }
> grant codeBase "http://felix.extensions:9/" {
>  permission java.security.AllPermission;
> };
> #5  start the framework
> /usr/local/jamvm/bin/jamvm -Xmx256M -Dorg.osgi.framework.security="osgi" -Dpolicy.provider=gnu.java.security.PolicyFile
-Djava.security.policy=file:///home/samba/wurk/downloads/osgi/felix-framework-3.0.7/conf/java.policy
  -jar bin/felix.jar
> # The framework won;t start and it causes a stack over flow. see felix.log in the attachment

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

Mime
View raw message